View Issue Details

IDProjectCategoryView StatusLast Update
0014857LazarusPatchpublic2010-01-02 21:02
ReporterTKAssigned ToPaul Ishenin 
PrioritynormalSeverityfeatureReproducibilityN/A
Status closedResolutionfixed 
Product Version0.9.29 (SVN)Product Build 
Target Version0.9.30Fixed in Version0.9.29 (SVN) 
Summary0014857: Window/Viewport transformations (SetMapMode etc.)
DescriptionThis patch adds following functions to Lazarus for Win32,QT,GTK,GTK2:

Get/SetMapMode
Get/SetViewPortOrgEx
Get/SetViewPortExtEx
Get/SetWindowExtEx

Please consider adding to official Lazarus distribution.
Additional InformationNotes:
-patch is vwtransf.diff and can be found in the archive/demo project folder
-patch made from SVN 0.9.29 beta 22239M
-simple demo project included
-no side effects to Lazarus, performance unchanged
-Win32:native WinAPI implementation, cannot mirror fonts (XP)
-QT:implementation via QPainter, cannot scale DrawElement/DrawFrameControl
-GTK,GTK2:my own implementation, cannot mirror fonts
TagsNo tags attached.
Fixed in Revision23137
LazTarget0.9.30
Widgetset
Attached Files

Relationships

related to 0014792 closedLuiz Americo Integrate LCLExtensions in LCL (if possible) 

Activities

2009-10-20 13:59

 

vwtransf.tar.gz (157,793 bytes)

Paul Ishenin

2009-12-14 07:00

manager   ~0033068

Thanks, applied with minor changes. Please test and close if ok.

TK

2010-01-02 21:02

reporter   ~0033437

Patch works OK.

Issue History

Date Modified Username Field Change
2009-10-20 13:59 TK New Issue
2009-10-20 13:59 TK File Added: vwtransf.tar.gz
2009-10-20 14:37 Zeljan Rikalo Relationship added related to 0014792
2009-10-20 21:10 Vincent Snijders LazTarget => 0.9.30
2009-10-20 21:10 Vincent Snijders Status new => acknowledged
2009-10-20 21:10 Vincent Snijders Target Version => 0.9.30
2009-12-14 07:00 Paul Ishenin Fixed in Revision => 23137
2009-12-14 07:00 Paul Ishenin Status acknowledged => resolved
2009-12-14 07:00 Paul Ishenin Fixed in Version => 0.9.29 (SVN)
2009-12-14 07:00 Paul Ishenin Resolution open => fixed
2009-12-14 07:00 Paul Ishenin Assigned To => Paul Ishenin
2009-12-14 07:00 Paul Ishenin Note Added: 0033068
2010-01-02 21:02 TK Note Added: 0033437
2010-01-02 21:02 TK Status resolved => closed